myt AI Cloud

By Mauritius Telecom

Beta
⌘K
API reference

Audio transcriptions

POST /v1/audio/transcriptions — transcribe audio to text.

POST

/v1/audio/transcriptions

Transcribes audio into the input language. Send multipart form data with file and model.

Request

multipart/form-data:

FieldNotes
fileAudio file (format per model, often flac, mp3, mp4, mpeg, mpga, m4a, ogg, wav, webm).
modelAn ASR model id from your catalog, e.g. myt ASR.
languageOptional ISO-639-1 code.
response_formatOptional, model-dependent (json, text, srt, verbose_json, vtt).

Response (json)

{
  "text": "Plain transcript text."
}

Errors

Example

curl -sS --request "POST" \
  --url "$MYT_BASE_URL/audio/transcriptions" \
  --header "Authorization: Bearer $MYT_API_KEY" \
  -F "model=myt ASR" \
  -F "file=@/path/to/audio.wav"

On this page